# Class BrightcoveVideo

#####
Index

### Constructors

constructor

### Properties

createdAt
cuePoints
customFields
description
duration
economics
id
labels
name
offlineEnabled
playbackRightsId
poster
posterSources
projection
publishedAt
sources
tags
textTracks
thumbnail
thumbnailSources
updatedAt

### Methods

filterUnsupported
getSources
sortSources
transformSources

## Constructors

### constructor

- new BrightcoveVideo(videoDto): BrightcoveVideo

- #### Parameters

  - videoDto: VideoDto

  #### Returns BrightcoveVideo

## Properties

### `Readonly` createdAt

createdAt: null | Date

### `Readonly` cuePoints

cuePoints: BrightcoveVideoCuePoint[]

### `Readonly` customFields

customFields: Record<string, unknown>

### `Readonly` description

description: string

### `Readonly` duration

duration: number

### `Readonly` economics

economics: "AD_SUPPORTED" | "FREE"

### `Readonly` id

id: string

### `Readonly` labels

labels: string[]

### `Readonly` name

name: string

### `Readonly` offlineEnabled

offlineEnabled: boolean

### `Readonly` playbackRightsId

playbackRightsId: string

### `Readonly` poster

poster: string

### `Readonly` posterSources

posterSources: string[]

### `Readonly` projection

projection: string

### `Readonly` publishedAt

publishedAt: null | Date

### `Readonly` sources

sources: BrightcoveVideoSource[]

### `Readonly` tags

tags: string[]

### `Readonly` textTracks

textTracks: BrightcoveVideoTextTrack[]

### `Readonly` thumbnail

thumbnail: string

### `Readonly` thumbnailSources

thumbnailSources: string[]

### `Readonly` updatedAt

updatedAt: null | Date

## Methods

### filterUnsupported

- filterUnsupported(options): BrightcoveVideoSource[]

- #### Parameters

  - options: BrightcoveVideoSourceOptions

  #### Returns BrightcoveVideoSource[]

### getSources

- getSources(options): Source[]

- #### Parameters

  - options: BrightcoveVideoSourceOptions

  #### Returns Source[]

### sortSources

- sortSources(sources): BrightcoveVideoSource[]

- #### Parameters

  - sources: BrightcoveVideoSource[]

  #### Returns BrightcoveVideoSource[]

### transformSources

- transformSources(sources, options): Source[]

- #### Parameters

  - sources: BrightcoveVideoSource[]
  - options: BrightcoveVideoSourceOptions

  #### Returns Source[]